ruby-defaults (1:3.0+3.1ubuntu1) lunar; urgency=medium

  * No-changes rebuild. Add support for ruby 3.1.

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Mon, 23 Jan 2023 09:21:40 -0300

ruby-defaults (1:3.0+3.1) unstable; urgency=medium

  * Enable ruby3.1 as a supported interpreter in unstable.
  * Switch ruby dependencies to use libruby instead.
    Now, instead of ruby-foo depends: ruby, we will have ruby-foo depends:
    libruby, and ruby depends: libruby. This requires libruby to be
    architecture dependent, and marked as Multi-Arch: same.

 -- Antonio Terceiro <terceiro@debian.org>  Tue, 20 Sep 2022 08:54:17 -0300

ruby-defaults (1:3.0+2) experimental; urgency=medium

  * Add support for ruby3.1

 -- Antonio Terceiro <terceiro@debian.org>  Sun, 01 May 2022 19:49:28 -0300

ruby-defaults (1:3.0+1) unstable; urgency=medium

  * Remove ruby2.7 support.

 -- Lucas Kanashiro <kanashiro@debian.org>  Mon, 07 Mar 2022 17:37:10 -0300

ruby-defaults (1:3.0) unstable; urgency=medium

  * Re-add ruby2.7 as an alternative interpreter.
    ruby3.0 is still the default but to ease the transition (avoid any
    entanglement with other transitions) we are re-adding ruby2.7 and it
    will be removed as the next and final stage of the transition.

 -- Lucas Kanashiro <kanashiro@debian.org>  Thu, 17 Feb 2022 12:18:38 -0300

ruby-defaults (1:3.0~exp1) experimental; urgency=medium

  * Make Ruby 3.0 the default, also remove Ruby 2.7 support.

 -- Lucas Kanashiro <kanashiro@debian.org>  Thu, 02 Dec 2021 16:42:26 -0300

ruby-defaults (1:2.7.6) unstable; urgency=medium

  * Upload version from experimental to unstable.

 -- Lucas Kanashiro <kanashiro@debian.org>  Fri, 29 Oct 2021 09:44:25 -0300

ruby-defaults (1:2.7.6~exp1) experimental; urgency=medium

  [ Lucas Kanashiro ]
  * Add support for ruby3.0 as an alternative interpreter

 -- Antonio Terceiro <terceiro@debian.org>  Sun, 03 Oct 2021 08:27:11 -0300

ruby-defaults (1:2.7.5) unstable; urgency=medium

  * Revert "Add support for ruby3.0 as an alternative interpreter"
    ruby3.0 3.0.2-1 builds failed on several architectures, and this makes
    it impossible to resolve build dependencies for any ruby package on
    of those architectures.

 -- Antonio Terceiro <terceiro@debian.org>  Sun, 03 Oct 2021 08:18:21 -0300

ruby-defaults (1:2.7.4) unstable; urgency=medium

  [ Jenkins ]
  * Remove constraints unnecessary since stretch

  [ Lucas Kanashiro ]
  * Enable ruby3.0 as an alternative interpreter in unstable
  * Bump debhelper compatibility level to 13
  * Declare compliance with Debian Policy 4.6.0.1

 -- Lucas Kanashiro <kanashiro@debian.org>  Fri, 01 Oct 2021 11:48:21 -0300

ruby-defaults (1:2.7.2~exp1) experimental; urgency=medium

  * Add support for ruby3.0 as an alternative interpreter.

 -- Lucas Kanashiro <kanashiro@debian.org>  Sat, 31 Oct 2020 16:00:10 -0300

ruby-defaults (1:2.7+2) unstable; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Wrap long lines in changelog entries: 1.8.1-8.
  * Set debhelper-compat version in Build-Depends.

  [ Antonio Terceiro ]
  * Drop gem binary -> Depends: ruby-rubygems

  [ Cédric Boutillier ]
  * Add .gitattributes to keep unwanted files out of the source package

 -- Lucas Kanashiro <kanashiro@debian.org>  Sun, 18 Oct 2020 23:37:08 -0300

ruby-defaults (1:2.7+1) unstable; urgency=medium

  * d/control: ruby breaks ruby-bootsnap (<< 1.4.6-1)

 -- Lucas Kanashiro <kanashiro@debian.org>  Fri, 03 Apr 2020 16:23:27 -0300

ruby-defaults (1:2.7) unstable; urgency=medium

  * Upload to unstable.
    + Switch the default to ruby2.7

 -- Lucas Kanashiro <kanashiro@debian.org>  Wed, 18 Mar 2020 08:54:19 -0300

ruby-defaults (1:2.7~0) experimental; urgency=medium

  [ Antonio Terceiro ]
  * Make Ruby 2.7 the default and drop Ruby 2.5
  * debian/tests/control: add test-name pkg-config test
  * debian/tests/ruby-all-dev: remove deprecated usage of global must_match
  * Remove ruby.postinst, not really needed nowadays

 -- Antonio Terceiro <terceiro@debian.org>  Tue, 25 Feb 2020 16:20:01 -0300

ruby-defaults (1:2.5.7.1) unstable; urgency=medium

  * d/t/control: Make autopkgtests cross-test-friendly
  * d/t/smoke-test: use $AUTOPKGTEST_TMP instead of the deprecated $ADTTMP
  * Declare compliance with Debian Policy 4.5.0
  * Bump debhelper compaitiblity level to 12

 -- Lucas Kanashiro <kanashiro@debian.org>  Thu, 20 Feb 2020 16:11:01 -0300

ruby-defaults (1:2.5.7) unstable; urgency=medium

  * Upload to unstable.
    + Both interpreters, 2.5 and 2.7, are enabled.

 -- Lucas Kanashiro <kanashiro@debian.org>  Mon, 17 Feb 2020 19:34:01 -0300

ruby-defaults (1:2.5.7~0) experimental; urgency=medium

  * Enable building against ruby2.7
  * Add myself to Uploaders

 -- Lucas Kanashiro <kanashiro@debian.org>  Wed, 27 Nov 2019 18:27:44 -0300

ruby-defaults (1:2.5.2) unstable; urgency=medium

  * Team upload.

  [ Antonio Terceiro ]
  * Change maintainer to Debian Ruby Team

  [ Utkarsh Gupta ]
  * Add salsa-ci.yml

  [ Chris Hofstaedtler ]
  * Remove myself from Uploaders:
  * d/copyright: fix whitespace and use secure Format URL
  * d/control: use https for Homepage
  * d/rules: use dpkg/architecture.mk for DEB_HOST_MULTIARCH

 -- Chris Hofstaedtler <zeha@debian.org>  Wed, 16 Oct 2019 22:30:22 +0000

ruby-defaults (1:2.5.1) unstable; urgency=medium

  * Drop support for ruby2.3
  * Use salsa.debian.org in Vcs-* fields

 -- Antonio Terceiro <terceiro@debian.org>  Thu, 22 Mar 2018 10:46:07 +0800

ruby-defaults (1:2.5.0) unstable; urgency=medium

  * Really upload to unstable this time.

 -- Antonio Terceiro <terceiro@debian.org>  Sun, 04 Mar 2018 20:30:10 -0300

ruby-defaults (1:2.5) experimental; urgency=medium

  * Switch to ruby2.5 in unstable
  * debian/rules: call debian/version-check before configure to ensure
    consistent versions numbers, i.e. If Ruby X.Y is the default, then the
    metapackage *must* be versioned as E:X.Y* (E being the epoch).
  * RubyDebianDev: Provide an upper bound on supported Ruby versions that can
    be used to prevent installation without a supported Ruby interpreter
    (Closes: #860747). Note that gem2deb also needs to be updated to be able
    to use this data.
  * RubyDebianDev::SUPPORTED_RUBY_VERSIONS: make sure default Ruby always
    comes first.

 -- Antonio Terceiro <terceiro@debian.org>  Sun, 04 Mar 2018 20:03:25 -0300

ruby-defaults (1:2.5~1000grau) experimental; urgency=medium

  * Make Ruby 2.5 the default

 -- Antonio Terceiro <terceiro@debian.org>  Sat, 03 Feb 2018 17:00:40 -0200

ruby-defaults (1:2.5~1) unstable; urgency=medium

  * Upload to unstable
  * Bump Standards-Version to 4.1.3; no changes needed
  * Drop unnecessary Testsuite: header
  * Drop triggers used to help upgrades in the ruby1.8/ruby1.9.1 era; those
    versions are now only in oldoldstable.
  * Specify section `ruby` for ruby-dev and ruby-all-dev

 -- Antonio Terceiro <terceiro@debian.org>  Thu, 01 Feb 2018 08:31:00 -0200

ruby-defaults (1:2.5~0) experimental; urgency=medium

  * Enable building against ruby2.5

 -- Antonio Terceiro <terceiro@debian.org>  Tue, 23 Jan 2018 10:39:53 -0200

ruby-defaults (1:2.3.3) unstable; urgency=medium

  * Rename libtcltk-ruby to ruby-tcltk to be consistent with other ruby
    packages. Keep Provides: libtcltk-ruby for now.
  * debian/copyright: list copyright for all maintainers in the latest years.

 -- Antonio Terceiro <terceiro@debian.org>  Sat, 10 Dec 2016 14:05:00 -0200

ruby-defaults (1:2.3.0+4) unstable; urgency=medium

  * Install ruby.pc symlink only in ruby-dev. (Closes: #820962)

 -- Christian Hofstaedtler <zeha@debian.org>  Thu, 14 Apr 2016 07:11:22 +0000

ruby-defaults (1:2.3.0+3) unstable; urgency=medium

  * Turn `ruby` package into an `Architecture: any` package, too,
    to ease Multi-Arch interpreter issues. Also add missing Multi-Arch
    annotation to ruby-all-dev. Thanks to Helmut Grohne <helmutg@debian.org>.

 -- Christian Hofstaedtler <zeha@debian.org>  Wed, 13 Apr 2016 18:58:32 +0000

ruby-defaults (1:2.3.0+2) unstable; urgency=medium

  * Add workaround for Multi-Arch interpreter problem.
    Change ruby-all-dev to be an arch native package, so it can be
    used in Build-Depends without losing Architecture information,
    and have it depend on rubyN.M:any so the default ruby can still
    be used to run ruby.
    Thanks to Helmut Grohne <helmutg@debian.org>.

 -- Christian Hofstaedtler <zeha@debian.org>  Wed, 13 Apr 2016 14:07:21 +0000

ruby-defaults (1:2.3.0+1) unstable; urgency=medium

  * Transition unstable to ruby2.3
    - ruby2.3 is now the default ruby. This is the version that will ship with
      stretch.
    - Drop support for building against ruby2.2

 -- Antonio Terceiro <terceiro@debian.org>  Wed, 02 Mar 2016 13:58:34 -0300

ruby-defaults (1:2.3.0) experimental; urgency=medium

  * ruby-dev: provide a symlink from ruby-X.Y.pc to ruby.pc so that pkg-config
    can refer to the unversioned `ruby` package.
    - becomes `Architecture: any`, because the target ruby-X.Y.pc is
      in an architecture-dependent location.
    - becomes `Multi-Arch: same` so ruby-dev can eventually be used to
      cross-compile for the current default Ruby version.

 -- Antonio Terceiro <terceiro@debian.org>  Tue, 01 Mar 2016 09:30:17 -0300

ruby-defaults (1:2.3) experimental; urgency=medium

  * Make Ruby 2.3 the default
  * Drop support for Ruby 2.2

 -- Antonio Terceiro <terceiro@debian.org>  Mon, 29 Feb 2016 11:09:57 -0300

ruby-defaults (1:2.3~1) unstable; urgency=medium

  * Upload to unstable, enabling builds against ruby2.3
  * debian/control: Bump Standards-Version to 3.9.7; no changes needed.

 -- Antonio Terceiro <terceiro@debian.org>  Thu, 25 Feb 2016 20:26:49 -0300

ruby-defaults (1:2.3~0) experimental; urgency=medium

  * Add support for building against Ruby 2.3
  * debian/newruby: read current Ruby version from `Depends:` field of package
    `ruby`.
  * Add debian/tests/ruby-all-dev as a sanity test to make sure the
    dependencies on multiple interpreters are satisfied.
  * debian/control: switch Vcs-* to use https://

 -- Antonio Terceiro <terceiro@debian.org>  Sat, 30 Jan 2016 15:49:49 -0200

ruby-defaults (1:2.2.4) unstable; urgency=medium

  * Drop `testrb` program symlink; it's not provided anymore as of Ruby 2.2.
    (Closes:  #806731, #808023)

 -- Antonio Terceiro <terceiro@debian.org>  Tue, 15 Dec 2015 10:02:16 -0200

ruby-defaults (1:2.2.3) unstable; urgency=medium

  * Upload to unstable
    - Make Ruby 2.2 the default Ruby interpreter
    - Drop support for Ruby 2.1

 -- Antonio Terceiro <terceiro@debian.org>  Tue, 10 Nov 2015 19:18:34 -0200

ruby-defaults (1:2.2) experimental; urgency=medium

  * Make Ruby 2.2 the default
  * Drop support for Ruby 2.1

 -- Antonio Terceiro <terceiro@debian.org>  Wed, 08 Jul 2015 14:17:21 -0300

ruby-defaults (1:2.1.5.1) unstable; urgency=medium

  * Upload to unstable adding support for building against Ruby 2.2 (as well
    as Ruby 2.1)

 -- Antonio Terceiro <terceiro@debian.org>  Sun, 14 Jun 2015 17:27:17 -0300

ruby-defaults (1:2.1.5.0) experimental; urgency=medium

  [ Lucas Nussbaum ]
  * Drop myself from Uploaders.

  [ Antonio Terceiro ]
  * ruby Conflicts: ruby-activesupport-2.3 to help with several Rails-related
    upgrade issues, when using Rails 2.3 (with e.g. redmine from wheezy). See
    #779882
  * Cleanup Uploaders: remove akira yamada <akira@debian.org> and Daigo
    Moriwaki <daigo@debian.org>. We are grateful to their previous
    maintainance of ruby in Debian, but in practive they haven't done anything
    in quite a few years.

 -- Antonio Terceiro <terceiro@debian.org>  Sun, 10 May 2015 19:39:16 -0300

ruby-defaults (1:2.1.5+1) experimental; urgency=medium

  * Add support for Ruby 2.2 (not the default yet)
  * debian/ruby-all-dev-depends: automatically generate dependencies for
    ruby-all-dev based on the contents of ruby_debian_dev.rb

 -- Antonio Terceiro <terceiro@debian.org>  Wed, 08 Apr 2015 10:28:22 +0200

ruby-defaults (1:2.1.5) unstable; urgency=medium

  * ruby: add `Conflicts: ruby-activesupport-3.2` to help with several
    Rails-related upgrade issues (Closes: #779882)

 -- Antonio Terceiro <terceiro@debian.org>  Thu, 12 Mar 2015 19:45:07 -0300

ruby-defaults (1:2.1.0.4) unstable; urgency=medium

  * move wheezy2jessie upgrade tests to their own control file
    Now that ruby1.8 is gone from unstable, this actually makes ruby-defaults
    test suite fail.

 -- Antonio Terceiro <terceiro@debian.org>  Wed, 20 Aug 2014 09:03:42 -0300

ruby-defaults (1:2.1.0.3) unstable; urgency=medium

  * ruby_debian_dev.rb: consolidate information about Ruby interpreters in a
    single data structure: RubyDebianDev::RUBY_INTERPRETERS.
    .
    The existing constants are still there for backwards-compatibility.
    .
    Besides the pre-existing information we already had, there is now a
    `min_ruby_dependency` key, which is the minimum ruby dependency that
    packages built against that given ruby version should have.
  * added RubyDebianDev.min_ruby_dependency_for(shared_library) API for querying
    that piece of data.

 -- Antonio Terceiro <terceiro@debian.org>  Sun, 10 Aug 2014 18:49:12 -0300

ruby-defaults (1:2.1.0.2) unstable; urgency=medium

  * README.Debian: document basic usage instructions to ruby, ruby-dev and
    ruby-all-dev in package description
    Closes: #755779
  * ri: add dependency on documentation package (currently ruby2.1-doc)
    Closes: #754563
  * Added 2 functional wheezy → jessie upgrade tests:
    - wheezy2jessie-apt-listbugs-ruby1.8: installs apt-listbugs and ruby1.8,
      upgrades to jessie, and checks that apt-listbugs works fine.
    - wheezy2jessie-ruby-version: installs ruby, upgrades to jessie, and
      checks that we got Ruby 2.1
    .
    These upgrade tests require a patch to autopkgtest that was not released
    yet, and will be no-ops until autopkgtest gets support for upgrade tests.

 -- Antonio Terceiro <terceiro@debian.org>  Sat, 09 Aug 2014 09:15:53 -0300

ruby-defaults (1:2.1.0.1) unstable; urgency=medium

  [ Christian Hofstaedtler ]
  * Add Breaks: ruby-debian without ruby2.1 extension (Closes: #747406)

  [ Antonio Terceiro ]
  * Upload to unstable, switching the default to ruby2.1 and dropping support
    for ruby2.0 which we are starting to phase out

 -- Antonio Terceiro <terceiro@debian.org>  Sat, 10 May 2014 14:04:38 -0300

ruby-defaults (1:2.1.0.0) experimental; urgency=medium

  * Switch to Ruby 2.1 and drop support for Ruby 2.0
  * ruby_all_dev.rb now also provides RUBY_API_VERSION for gem2deb to use to
    determine where to install gemspecs for binary extensions.
  * debian/tests/smoke-test: check for default gems that are expected to be
    there (rdoc, rake)

 -- Antonio Terceiro <terceiro@debian.org>  Tue, 06 May 2014 20:02:18 -0300

ruby-defaults (1:2.0.0.2) unstable; urgency=medium

  * Remove Conflicts: irb, rdoc, rubygems; Add Provides: rubygems
    (Closes: #743780)
  * Improve handling of migration from alternatives (Closes: #743729)
    - ruby.preinst: remove alternatives entries
    - ruby.postinst:
      + fix any links left pointing to ruby1.8 or ruby1.9.1 making them point
        back to ruby2.
      + hack installed ruby1.8.postinst and ruby1.9.1.postinst so they do not
        re-add the alternatives entries if reconfigured.
    - debian/triggers: watch /usr/bin/ruby{1.8,1.9.1} so that if the user
      reinstalls ruby1.8 or ruby1.9.1, ruby.postinst will be executed again.

 -- Antonio Terceiro <terceiro@debian.org>  Tue, 08 Apr 2014 11:38:41 -0300

ruby-defaults (1:2.0.0.1) unstable; urgency=medium

  * Upload to unstable.

 -- Christian Hofstaedtler <zeha@debian.org>  Sun, 30 Mar 2014 17:03:01 +0200

ruby-defaults (1:2.0.0.1~exp3) experimental; urgency=medium

  * ruby-all-dev: migrate from Ruby 1.9.1 and 2.0 to Ruby 2.0 and 2.1
  * ruby: remove Breaks/Conflicts/Replaces against old interpreter packages
    as this will force the removal of old interpreters from users' systems
    (Closes: #740733)
    .
    The following upgrade scenarios from wheezy were tested, still work fine,
    and leave the old interpreters alone:
    - ruby
    - ruby + ruby1.8
    - ruby + apt-listbugs
    - ruby + ruby1.8 + apt-listbugs
    - ruby1.8 + apt-listbugs

 -- Antonio Terceiro <terceiro@debian.org>  Sat, 29 Mar 2014 16:12:05 -0300

ruby-defaults (1:2.0.0.1~exp2) experimental; urgency=medium

  * Merge changes from unstable, for newer gem2deb.

 -- Christian Hofstaedtler <zeha@debian.org>  Tue, 04 Feb 2014 23:58:19 +0100

ruby-defaults (1:1.9.3.4) unstable; urgency=medium

  * ruby-all-dev: also depend on the actual interpreters and not only on the
    -dev packages
  * ruby-all-dev: ship library with data about supported interpreters
    - ruby_debian_dev.rb will be be used by gem2deb
  * Add a simple DEP-8 smoke test
  * Drop Conflicts/Replaces/Provides on obsolete packages that are not even on
    squeeze anymore

 -- Antonio Terceiro <terceiro@debian.org>  Wed, 12 Feb 2014 09:33:39 -0300

ruby-defaults (1:1.9.3.3) unstable; urgency=medium

  * Breaks ruby-switch <= 0.1.0 and rbenv <= 0.4.0-1
    - the mention of `ruby-build` in the previous release was a typo.

 -- Antonio Terceiro <terceiro@debian.org>  Thu, 06 Feb 2014 17:56:55 -0300

ruby-defaults (1:1.9.3.2) unstable; urgency=medium

  * Breaks ruby-build << 0.1.0 and rbenv << 0.4.0-1
    - The removal of the alternatives entries breaks both packages ability to
      detect installed interpreters.
  * Put myself as maintainer, move akira yamada <akira@debian.org> to
    Uploaders:. Add Christian Hofstaedtler to Uploaders:

 -- Antonio Terceiro <terceiro@debian.org>  Thu, 06 Feb 2014 15:07:57 -0300

ruby-defaults (1:2.0.0.1~exp1) experimental; urgency=medium

  * Upload to experimental.
  * Switch to Ruby 2.0 as default interpreter
  * Add myself to Uploaders

 -- Christian Hofstaedtler <zeha@debian.org>  Tue, 04 Feb 2014 23:58:19 +0100

ruby-defaults (1:1.9.3.1) unstable; urgency=medium

  * Switch from cdbs to debhelper
  * `ruby` now Conflicts with ruby1.8 and rubygems packages, which should be
    removed from the archive soonish.
  * Take control of /usr/bin/{erb,testrb,irb,rdoc,gem,ri,ruby} binaries
    - update-alternatives for /usr/bin/ruby and slave symlinks is not
      supported anymore.
    - Those binaries will now be part of this package and will point to the
      binaries provided by the default Ruby

 -- Antonio Terceiro <terceiro@debian.org>  Sat, 01 Feb 2014 21:55:19 -0300

ruby-defaults (1:1.9.3) unstable; urgency=low

  * declare Breaks: apt-listbugs (<< 0.1.6) in ruby package to avoid breaking
    squeeze/wheezy upgrades when apt-listbugs is installed (Closes: 700671).

 -- Antonio Terceiro <terceiro@debian.org>  Sat, 23 Feb 2013 10:45:13 -0300

ruby-defaults (4.9) unstable; urgency=low

  [ Shawn Landden ]
  * Switch default ruby version to 1.9.
  * Drop "transitional package" desciptions to something more similar to
    Python default version packages.
  * Convert copyright file to machine readable specification.

  [ Antonio Terceiro ]
  * debian/control:
    + add myself to Uploaders:
    + bump standards version to 3.9.3. No changes needed.
  * added debian/source/format

 -- Antonio Terceiro <terceiro@debian.org>  Sun, 03 Jun 2012 14:55:39 -0300

ruby-defaults (4.8) unstable; urgency=high

  * Drop ruby-elisp, since the corresponding ruby1.8 package was dropped.

 -- Lucas Nussbaum <lucas@lucas-nussbaum.net>  Tue, 26 Apr 2011 22:54:16 +0200

ruby-defaults (4.7) unstable; urgency=low

  * Switch to git. Update Vcs-* fields.
  * Upload to unstable.
  * Sync Maintainers and Uploaders with those from ruby1.8 and ruby1.9.1
  * Bump Standards-Version to 3.9.1. No changes needed.

 -- Lucas Nussbaum <lucas@lucas-nussbaum.net>  Fri, 25 Mar 2011 10:26:57 +0100

ruby-defaults (4.6) experimental; urgency=low

  * Remove the Ruby policy from the package. It is no longer applied to ruby
    packages anyway.
  * Make all binary packages transitional packages for their ruby1.8
    counterparts. This source package can be dropped after the wheezy release.
  * Upload to experimental. Changes are very intrusive and need
    extensive testing.

 -- Lucas Nussbaum <lucas@lucas-nussbaum.net>  Sat, 05 Mar 2011 21:09:30 +0100

ruby-defaults (4.5) unstable; urgency=low

  * Merge irb and rdoc into ruby.
  * Merge lib{dbm,gdbm,readline,openssl}-ruby into libruby.

 -- Lucas Nussbaum <lucas@lucas-nussbaum.net>  Mon, 03 May 2010 22:11:28 +0200

ruby-defaults (4.4) unstable; urgency=low

  * Change section to ruby. Agree with ftpmaster.
  * Drop transitional dummy packages,  not needed in squeeze:
    libtk-ruby libcurses-ruby libzlib-ruby libyaml-ruby libwebrick-ruby
    libxmlrpc-ruby librexml-ruby libtest-unit-ruby liberb-ruby libdrb-ruby
    libracc-runtime-ruby libiconv-ruby libstrscan-ruby libsyslog-ruby
    libbigdecimal-ruby libpty-ruby libdl-ruby libsdbm-ruby
  * Standards-Version -> 3.8.4. No changes needed.
  * Add ${misc:Depends} everywhere to make lintian happy.

 -- Lucas Nussbaum <lucas@lucas-nussbaum.net>  Thu, 18 Mar 2010 11:13:10 +0100

ruby-defaults (4.3) unstable; urgency=low

  * In the 'ruby' meta-package, suggest to install the main other packages
    that are of interest to ruby users.

 -- Lucas Nussbaum <lucas@lucas-nussbaum.net>  Thu, 18 Mar 2010 08:33:09 +0100

ruby-defaults (4.2) unstable; urgency=low

  * debian/control: Added Homepage and Vcs-* fields.
  * Added ruby-dev package, depending on ruby1.8-dev. (Closes: #301534)

 -- Lucas Nussbaum <lucas@lucas-nussbaum.net>  Thu, 20 Mar 2008 21:27:58 +0100

ruby-defaults (4.1) unstable; urgency=low

  * Switched to cdbs.
  * Added ruby-full package, which depends on everything part of the "normal"
    ruby tarball-based installation. Supersedes the ruby-full source package.
    Closes: #460465.
  * Corrected Conflicts/Replaces. I was using < 1:1.8.2-3, because, before
    using 3, 4, 4.1 as verisoning scheme, I considered using an epoch, but
    changed my mind. Fixes unreported build failure of rails.

 -- Lucas Nussbaum <lucas@lucas-nussbaum.net>  Thu, 17 Jan 2008 10:03:27 +0100

ruby-defaults (4) unstable; urgency=low

  * Moved debhelper to Build-Depends (fixes lintian error).
  * Upgraded to policy 3.7.3. No changes needed.
  * No longer ignore make clean errors. (fixes lintian warning).
  * Bumped version to 4. There was a binary package in ruby-defaults with
    version 3.X, so, 4 is the lowest we can bump to.
  * Add links from (erb, testrb) to (erb1.8, testrb1.8). (Closes: #330352)

 -- Lucas Nussbaum <lucas@lucas-nussbaum.net>  Sun, 13 Jan 2008 00:19:08 +0100

ruby-defaults (3) unstable; urgency=low

  * Replaced dependency packages by Replaces+Provides in libruby.
    Closes: #209701, #210068, #209787, #210164, #300026.
  * Merged libtk-ruby into libtcltk-ruby, like their ruby1.8 counterparts.
  * Added dummy packages so dist-upgrades work. (tested)
  * Improved description for ruby-elisp, by taking ruby1.8's description
    (Closes: #209706).
  * Improved libruby's description (Closes: #209719).
  * Improved libdbm-ruby's description (Closes: #209756).
  * Improved libgdbm-ruby's description (Closes: #209978).
  * Improved libtcltk-ruby's description (Closes: #210042).
  * libruby depends on libruby1.8, which includes most of stdlib, and
    there's also ruby-full if someone want to install all of ruby, so
    there's no need anymore for a ruby-stdlib package (Closes: #286400).
  * Since libopenssl-ruby is now part of stdlib, there's no need to version
    it differently.
  * Removed debian/versions as it's useless now.
  * Bumped version to "3". There's not much point in following ruby's
    versions in the ruby-defaults package. The alternative would have been
    to add an epoch instead (needed so that libruby can replace librexml-ruby
    (which has version 3.1.2.1+ruby1.8.2-1 in etch), libdrd-ruby and
    liberb-ruby (which have version 2.0.4+ruby1.8.2-1)). (Closes: #359810)

 -- Lucas Nussbaum <lucas@lucas-nussbaum.net>  Wed, 09 Jan 2008 09:20:29 +0100

ruby-defaults (1.8.2-2) unstable; urgency=high

  [ Fumitoshi UKAI ]
  * doc/ruby-policy.sgml: interpreter-location.
    it is not advisable to use /usr/bin/env, because it bypasses
    debian's dependency and makes the package vulnerable to incomplete
    local installations of ruby. e.g. Bug#344246 and Bug#344988

  [ Lucas Nussbaum ]
  * Added myself to the Uploaders field, as I'm now part of the pkg-ruby team.
  * Restrict the first dh_gencontrol call to packages that are not in the
    second call. Thanks go to Daniel Schepler for the patch. Closes: #453227.
  * Set urgency to high, since the upload fixes an RC bug.

 -- Lucas Nussbaum <lucas@lucas-nussbaum.net>  Tue, 18 Dec 2007 14:38:05 +0100

ruby-defaults (1.8.2-1) unstable; urgency=low

  * debian/control: remove unnecessary versioned depends
    closes: Bug#289771
  * debian/versions: updated

 -- ukai <ukai@debian.or.jp>  Wed, 12 Jan 2005 02:40:14 +0900

ruby-defaults (1.8.1-8) unstable; urgency=low

  * debian/rules: make symlink for usr/bin/testrb and
    usr/share/man/man1/testrb.1.gz closes: Bug#257608
  * debian/control: rdoc section move to doc

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Tue,  6 Jul 2004 00:20:59 +0900

ruby-defaults (1.8.1-7) unstable; urgency=low

  * Fumitoshi UKAI <ukai@debian.or.jp> Sat, 22 May 2004 00:10:37 +0900
   debian/control: add rdoc
   debian/rules: make symlink for usr/bin/rdoc and usr/share/man/man1/rdoc.1.gz
   debian/control: libruby section move to libs

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Sat, 22 May 2004 00:14:45 +0900

ruby-defaults (1.8.1-3) unstable; urgency=low

  * Fumitoshi UKAI <ukai@debian.or.jp> Tue, 20 Jan 2004 22:05:57 +0900
   debian/control: add ri.
     ri package (for ruby1.6) has been renamed to ri1.6, so ri package is
     for ruby1.8 now, that is, ri depends ri1.8.
   debian/rules: make symlink for usr/bin/ri and usr/share/man/man1/ri.1.gz

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Tue, 20 Jan 2004 22:05:02 +0900

ruby-defaults (1.8.1-2) unstable; urgency=low

  * Make ruby1.8 1.8.1 the default version of ruby.

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Thu,  8 Jan 2004 01:26:01 +0900

ruby-defaults (1.8.0-2) unstable; urgency=low

  * Fumitoshi UKAI <ukai@debian.or.jp>  Sun, 14 Sep 2003 03:43:20 +0900
    doc/ruby-policy.sgml: note about renmaing (conflicts & replaces)
     suggested by Dmitry Borodaenko <d.borodaenko@sam-solutions.net>

  * akira yamada <akira@debian.org> Sat, 13 Sep 2003 12:38:02 +0900
    doc/ruby-policy.sgml: s/Config:CONFIG/Config::CONFIG/g.

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Sun, 14 Sep 2003 03:43:20 +0900

ruby-defaults (1.8.0-1) unstable; urgency=low

  * Make ruby1.8 the Default version of ruby.

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Sun,  7 Sep 2003 23:21:43 +0900

ruby-defaults (1.6.8-6) unstable; urgency=low

  * Initial Release.
  * ruby-defaults provides default version of Ruby in debian distribution.
  * Old ruby package renamed to ruby1.6

  * changelog before debian package
    2003-08-22  Fumitoshi UKAI  <ukai@debian.or.jp>
      (doc/ruby-policy.sgml): version: 0.0.1.2
      (doc/ruby-policy.sgml): fix typo: /usr/lib/librubyX.Y.so.X..Y.Z

    2003-08-22  Fumitoshi UKAI  <ukai@debian.or.jp>
      (doc/ruby-policy.sgml): version: 0.0.1.1
      (doc/ruby-policy.sgml): fix typo: s/Python/Ruby/
        pointed by Dmitry Borodaenko

    2003-08-20  Fumitoshi UKAI  <ukai@debian.or.jp>
      initial public release of ruby-policy: 0.0.1

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Sat, 23 Aug 2003 01:24:37 +0900
